- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# Source Struct Reference
[RPMBUILD.]

`#include <rpmspec.h>`

## Data Fields
char * | fullSource
char * | source
int | flags
int | num
Source * | next

## Detailed Description

Definition at line 32 of file rpmspec.h.

## Field Documentation

char* Source::fullSource

Definition at line 33 of file rpmspec.h.

Referenced by doUntar(), and freeSources().

char* Source::source

Definition at line 34 of file rpmspec.h.

Referenced by doPatch(), doRmSource(), doUntar(), and processSourceFiles().

int Source::flags

Definition at line 35 of file rpmspec.h.

Referenced by doPatch(), doRmSource(), doUntar(), findSource(), and processSourceFiles().

int Source::num

Definition at line 36 of file rpmspec.h.

Referenced by addSource(), doPatch(), doUntar(), findSource(), parseNoSource(), and processSourceFiles().

struct Source* Source::next`[read]`

Definition at line 37 of file rpmspec.h.

Referenced by addSource(), doPatch(), doRmSource(), doUntar(), findSource(), freeSources(), and processSourceFiles().

The documentation for this struct was generated from the following file:

- build/rpmspec.h